// indent:4  tabsize:4  font:fixed-width
//
// The Cribbage Solitaire module.
//
// Copyright 1994 by David Fedchenko.  All rights reserved.
//

//-----------------------------------------------------------------------------
//
//	CribbagePrefs : GamePref
//
//	Takes care of the preferences that we keep for the Cribbage game.  These
//	are:
//
//		Strict		-	Whether or not the cards must be touching when placed.
//		HighScore	-	The highest score for a particular user.
//-----------------------------------------------------------------------------

#import <appkit/appkit.h>
#import "../Solitaire/GamePref.h"
#import "../Solitaire/CardSet.subproj/cardset.h"

@interface CribbagePrefs:GamePref
	{
	id	idStrict;
	id	idHighScore;
	}

- registerPrefs;
- saveStrictFlag:sender;
- setStrict:(BOOL)flag;
-(BOOL) strict;
- setHighScore:(int)score;
-(int) highScore;

@end
